// Code generated by protoc-gen-go. DO NOT EDIT.
// source: proto/calculator.proto

package calculatorpb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type SumCalculatorResponse struct {
	Result               int32    `protobuf:"varint,1,opt,name=result,proto3" json:"result,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SumCalculatorResponse) Reset()         { *m = SumCalculatorResponse{} }
func (m *SumCalculatorResponse) String() string { return proto.CompactTextString(m) }
func (*SumCalculatorResponse) ProtoMessage()    {}
func (*SumCalculatorResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_3454248de0eb79e2, []int{0}
}

func (m *SumCalculatorResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SumCalculatorResponse.Unmarshal(m, b)
}
func (m *SumCalculatorResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SumCalculatorResponse.Marshal(b, m, deterministic)
}
func (m *SumCalculatorResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SumCalculatorResponse.Merge(m, src)
}
func (m *SumCalculatorResponse) XXX_Size() int {
	return xxx_messageInfo_SumCalculatorResponse.Size(m)
}
func (m *SumCalculatorResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SumCalculatorResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SumCalculatorResponse proto.InternalMessageInfo

func (m *SumCalculatorResponse) GetResult() int32 {
	if m != nil {
		return m.Result
	}
	return 0
}

type SumCalculatorRequest struct {
	X                    int32    `protobuf:"varint,1,opt,name=x,proto3" json:"x,omitempty"`
	Y                    int32    `protobuf:"varint,2,opt,name=y,proto3" json:"y,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SumCalculatorRequest) Reset()         { *m = SumCalculatorRequest{} }
func (m *SumCalculatorRequest) String() string { return proto.CompactTextString(m) }
func (*SumCalculatorRequest) ProtoMessage()    {}
func (*SumCalculatorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_3454248de0eb79e2, []int{1}
}

func (m *SumCalculatorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SumCalculatorRequest.Unmarshal(m, b)
}
func (m *SumCalculatorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SumCalculatorRequest.Marshal(b, m, deterministic)
}
func (m *SumCalculatorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SumCalculatorRequest.Merge(m, src)
}
func (m *SumCalculatorRequest) XXX_Size() int {
	return xxx_messageInfo_SumCalculatorRequest.Size(m)
}
func (m *SumCalculatorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SumCalculatorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SumCalculatorRequest proto.InternalMessageInfo

func (m *SumCalculatorRequest) GetX() int32 {
	if m != nil {
		return m.X
	}
	return 0
}

func (m *SumCalculatorRequest) GetY() int32 {
	if m != nil {
		return m.Y
	}
	return 0
}

type SumManyTimesRequest struct {
	X                    int32    `protobuf:"varint,1,opt,name=x,proto3" json:"x,omitempty"`
	Y                    int32    `protobuf:"varint,2,opt,name=y,proto3" json:"y,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SumManyTimesRequest) Reset()         { *m = SumManyTimesRequest{} }
func (m *SumManyTimesRequest) String() string { return proto.CompactTextString(m) }
func (*SumManyTimesRequest) ProtoMessage()    {}
func (*SumManyTimesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_3454248de0eb79e2, []int{2}
}

func (m *SumManyTimesRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SumManyTimesRequest.Unmarshal(m, b)
}
func (m *SumManyTimesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SumManyTimesRequest.Marshal(b, m, deterministic)
}
func (m *SumManyTimesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SumManyTimesRequest.Merge(m, src)
}
func (m *SumManyTimesRequest) XXX_Size() int {
	return xxx_messageInfo_SumManyTimesRequest.Size(m)
}
func (m *SumManyTimesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SumManyTimesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SumManyTimesRequest proto.InternalMessageInfo

func (m *SumManyTimesRequest) GetX() int32 {
	if m != nil {
		return m.X
	}
	return 0
}

func (m *SumManyTimesRequest) GetY() int32 {
	if m != nil {
		return m.Y
	}
	return 0
}

type SumManyTimesResponse struct {
	Result               string   `protobuf:"bytes,1,opt,name=result,proto3" json:"result,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SumManyTimesResponse) Reset()         { *m = SumManyTimesResponse{} }
func (m *SumManyTimesResponse) String() string { return proto.CompactTextString(m) }
func (*SumManyTimesResponse) ProtoMessage()    {}
func (*SumManyTimesResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_3454248de0eb79e2, []int{3}
}

func (m *SumManyTimesResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SumManyTimesResponse.Unmarshal(m, b)
}
func (m *SumManyTimesResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SumManyTimesResponse.Marshal(b, m, deterministic)
}
func (m *SumManyTimesResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SumManyTimesResponse.Merge(m, src)
}
func (m *SumManyTimesResponse) XXX_Size() int {
	return xxx_messageInfo_SumManyTimesResponse.Size(m)
}
func (m *SumManyTimesResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SumManyTimesResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SumManyTimesResponse proto.InternalMessageInfo

func (m *SumManyTimesResponse) GetResult() string {
	if m != nil {
		return m.Result
	}
	return ""
}

type PrimeNumberDecompositionRequest struct {
	Number               int32    `protobuf:"varint,1,opt,name=number,proto3" json:"number,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PrimeNumberDecompositionRequest) Reset()         { *m = PrimeNumberDecompositionRequest{} }
func (m *PrimeNumberDecompositionRequest) String() string { return proto.CompactTextString(m) }
func (*PrimeNumberDecompositionRequest) ProtoMessage()    {}
func (*PrimeNumberDecompositionRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_3454248de0eb79e2, []int{4}
}

func (m *PrimeNumberDecompositionRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PrimeNumberDecompositionRequest.Unmarshal(m, b)
}
func (m *PrimeNumberDecompositionRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PrimeNumberDecompositionRequest.Marshal(b, m, deterministic)
}
func (m *PrimeNumberDecompositionRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PrimeNumberDecompositionRequest.Merge(m, src)
}
func (m *PrimeNumberDecompositionRequest) XXX_Size() int {
	return xxx_messageInfo_PrimeNumberDecompositionRequest.Size(m)
}
func (m *PrimeNumberDecompositionRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_PrimeNumberDecompositionRequest.DiscardUnknown(m)
}

var xxx_messageInfo_PrimeNumberDecompositionRequest proto.InternalMessageInfo

func (m *PrimeNumberDecompositionRequest) GetNumber() int32 {
	if m != nil {
		return m.Number
	}
	return 0
}

type PrimeNumberDecompositionResponse struct {
	Result               int32    `protobuf:"varint,1,opt,name=result,proto3" json:"result,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PrimeNumberDecompositionResponse) Reset()         { *m = PrimeNumberDecompositionResponse{} }
func (m *PrimeNumberDecompositionResponse) String() string { return proto.CompactTextString(m) }
func (*PrimeNumberDecompositionResponse) ProtoMessage()    {}
func (*PrimeNumberDecompositionResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_3454248de0eb79e2, []int{5}
}

func (m *PrimeNumberDecompositionResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PrimeNumberDecompositionResponse.Unmarshal(m, b)
}
func (m *PrimeNumberDecompositionResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PrimeNumberDecompositionResponse.Marshal(b, m, deterministic)
}
func (m *PrimeNumberDecompositionResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PrimeNumberDecompositionResponse.Merge(m, src)
}
func (m *PrimeNumberDecompositionResponse) XXX_Size() int {
	return xxx_messageInfo_PrimeNumberDecompositionResponse.Size(m)
}
func (m *PrimeNumberDecompositionResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_PrimeNumberDecompositionResponse.DiscardUnknown(m)
}

var xxx_messageInfo_PrimeNumberDecompositionResponse proto.InternalMessageInfo

func (m *PrimeNumberDecompositionResponse) GetResult() int32 {
	if m != nil {
		return m.Result
	}
	return 0
}

type ComputeAverageRequest struct {
	Number               int32    `protobuf:"varint,1,opt,name=number,proto3" json:"number,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ComputeAverageRequest) Reset()         { *m = ComputeAverageRequest{} }
func (m *ComputeAverageRequest) String() string { return proto.CompactTextString(m) }
func (*ComputeAverageRequest) ProtoMessage()    {}
func (*ComputeAverageRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_3454248de0eb79e2, []int{6}
}

func (m *ComputeAverageRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ComputeAverageRequest.Unmarshal(m, b)
}
func (m *ComputeAverageRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ComputeAverageRequest.Marshal(b, m, deterministic)
}
func (m *ComputeAverageRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ComputeAverageRequest.Merge(m, src)
}
func (m *ComputeAverageRequest) XXX_Size() int {
	return xxx_messageInfo_ComputeAverageRequest.Size(m)
}
func (m *ComputeAverageRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ComputeAverageRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ComputeAverageRequest proto.InternalMessageInfo

func (m *ComputeAverageRequest) GetNumber() int32 {
	if m != nil {
		return m.Number
	}
	return 0
}

type ComputeAverageResponse struct {
	Result               int32    `protobuf:"varint,1,opt,name=result,proto3" json:"result,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ComputeAverageResponse) Reset()         { *m = ComputeAverageResponse{} }
func (m *ComputeAverageResponse) String() string { return proto.CompactTextString(m) }
func (*ComputeAverageResponse) ProtoMessage()    {}
func (*ComputeAverageResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_3454248de0eb79e2, []int{7}
}

func (m *ComputeAverageResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ComputeAverageResponse.Unmarshal(m, b)
}
func (m *ComputeAverageResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ComputeAverageResponse.Marshal(b, m, deterministic)
}
func (m *ComputeAverageResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ComputeAverageResponse.Merge(m, src)
}
func (m *ComputeAverageResponse) XXX_Size() int {
	return xxx_messageInfo_ComputeAverageResponse.Size(m)
}
func (m *ComputeAverageResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ComputeAverageResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ComputeAverageResponse proto.InternalMessageInfo

func (m *ComputeAverageResponse) GetResult() int32 {
	if m != nil {
		return m.Result
	}
	return 0
}

type FindMaximumReqeust struct {
	Number               int32    `protobuf:"varint,1,opt,name=number,proto3" json:"number,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *FindMaximumReqeust) Reset()         { *m = FindMaximumReqeust{} }
func (m *FindMaximumReqeust) String() string { return proto.CompactTextString(m) }
func (*FindMaximumReqeust) ProtoMessage()    {}
func (*FindMaximumReqeust) Descriptor() ([]byte, []int) {
	return fileDescriptor_3454248de0eb79e2, []int{8}
}

func (m *FindMaximumReqeust) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FindMaximumReqeust.Unmarshal(m, b)
}
func (m *FindMaximumReqeust) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FindMaximumReqeust.Marshal(b, m, deterministic)
}
func (m *FindMaximumReqeust) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FindMaximumReqeust.Merge(m, src)
}
func (m *FindMaximumReqeust) XXX_Size() int {
	return xxx_messageInfo_FindMaximumReqeust.Size(m)
}
func (m *FindMaximumReqeust) XXX_DiscardUnknown() {
	xxx_messageInfo_FindMaximumReqeust.DiscardUnknown(m)
}

var xxx_messageInfo_FindMaximumReqeust proto.InternalMessageInfo

func (m *FindMaximumReqeust) GetNumber() int32 {
	if m != nil {
		return m.Number
	}
	return 0
}

type FindMaximumResponse struct {
	Result               int32    `protobuf:"varint,1,opt,name=result,proto3" json:"result,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *FindMaximumResponse) Reset()         { *m = FindMaximumResponse{} }
func (m *FindMaximumResponse) String() string { return proto.CompactTextString(m) }
func (*FindMaximumResponse) ProtoMessage()    {}
func (*FindMaximumResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_3454248de0eb79e2, []int{9}
}

func (m *FindMaximumResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FindMaximumResponse.Unmarshal(m, b)
}
func (m *FindMaximumResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FindMaximumResponse.Marshal(b, m, deterministic)
}
func (m *FindMaximumResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FindMaximumResponse.Merge(m, src)
}
func (m *FindMaximumResponse) XXX_Size() int {
	return xxx_messageInfo_FindMaximumResponse.Size(m)
}
func (m *FindMaximumResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_FindMaximumResponse.DiscardUnknown(m)
}

var xxx_messageInfo_FindMaximumResponse proto.InternalMessageInfo

func (m *FindMaximumResponse) GetResult() int32 {
	if m != nil {
		return m.Result
	}
	return 0
}

type SquareRootRequest struct {
	Number               int32    `protobuf:"varint,1,opt,name=number,proto3" json:"number,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SquareRootRequest) Reset()         { *m = SquareRootRequest{} }
func (m *SquareRootRequest) String() string { return proto.CompactTextString(m) }
func (*SquareRootRequest) ProtoMessage()    {}
func (*SquareRootRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_3454248de0eb79e2, []int{10}
}

func (m *SquareRootRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SquareRootRequest.Unmarshal(m, b)
}
func (m *SquareRootRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SquareRootRequest.Marshal(b, m, deterministic)
}
func (m *SquareRootRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SquareRootRequest.Merge(m, src)
}
func (m *SquareRootRequest) XXX_Size() int {
	return xxx_messageInfo_SquareRootRequest.Size(m)
}
func (m *SquareRootRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SquareRootRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SquareRootRequest proto.InternalMessageInfo

func (m *SquareRootRequest) GetNumber() int32 {
	if m != nil {
		return m.Number
	}
	return 0
}

type SquareRootResponse struct {
	Result               float64  `protobuf:"fixed64,1,opt,name=result,proto3" json:"result,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SquareRootResponse) Reset()         { *m = SquareRootResponse{} }
func (m *SquareRootResponse) String() string { return proto.CompactTextString(m) }
func (*SquareRootResponse) ProtoMessage()    {}
func (*SquareRootResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_3454248de0eb79e2, []int{11}
}

func (m *SquareRootResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SquareRootResponse.Unmarshal(m, b)
}
func (m *SquareRootResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SquareRootResponse.Marshal(b, m, deterministic)
}
func (m *SquareRootResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SquareRootResponse.Merge(m, src)
}
func (m *SquareRootResponse) XXX_Size() int {
	return xxx_messageInfo_SquareRootResponse.Size(m)
}
func (m *SquareRootResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SquareRootResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SquareRootResponse proto.InternalMessageInfo

func (m *SquareRootResponse) GetResult() float64 {
	if m != nil {
		return m.Result
	}
	return 0
}

func init() {
	proto.RegisterType((*SumCalculatorResponse)(nil), "calculator.SumCalculatorResponse")
	proto.RegisterType((*SumCalculatorRequest)(nil), "calculator.SumCalculatorRequest")
	proto.RegisterType((*SumManyTimesRequest)(nil), "calculator.SumManyTimesRequest")
	proto.RegisterType((*SumManyTimesResponse)(nil), "calculator.SumManyTimesResponse")
	proto.RegisterType((*PrimeNumberDecompositionRequest)(nil), "calculator.PrimeNumberDecompositionRequest")
	proto.RegisterType((*PrimeNumberDecompositionResponse)(nil), "calculator.PrimeNumberDecompositionResponse")
	proto.RegisterType((*ComputeAverageRequest)(nil), "calculator.ComputeAverageRequest")
	proto.RegisterType((*ComputeAverageResponse)(nil), "calculator.ComputeAverageResponse")
	proto.RegisterType((*FindMaximumReqeust)(nil), "calculator.FindMaximumReqeust")
	proto.RegisterType((*FindMaximumResponse)(nil), "calculator.FindMaximumResponse")
	proto.RegisterType((*SquareRootRequest)(nil), "calculator.SquareRootRequest")
	proto.RegisterType((*SquareRootResponse)(nil), "calculator.SquareRootResponse")
}

func init() {
	proto.RegisterFile("proto/calculator.proto", fileDescriptor_3454248de0eb79e2)
}

var fileDescriptor_3454248de0eb79e2 = []byte{
	// 404 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x54, 0x5d, 0x6b, 0xe2, 0x40,
	0x14, 0xdd, 0x59, 0x76, 0x85, 0xbd, 0x2b, 0x82, 0xe3, 0x1a, 0x24, 0xb0, 0x35, 0xcd, 0x93, 0xa0,
	0x55, 0x6b, 0x9f, 0xda, 0xb7, 0xd6, 0xd2, 0x37, 0x4b, 0x49, 0xec, 0x4b, 0xfb, 0x14, 0xd3, 0x4b,
	0x09, 0x38, 0x99, 0x38, 0xc9, 0x88, 0xf9, 0x6f, 0xfd, 0x71, 0xa5, 0x89, 0x31, 0x1f, 0x4d, 0x8c,
	0x8f, 0xf7, 0xde, 0x73, 0xce, 0x3d, 0x73, 0x39, 0x0c, 0x28, 0x9e, 0xe0, 0x01, 0x9f, 0xd8, 0xd6,
	0xda, 0x96, 0x6b, 0x2b, 0xe0, 0x62, 0x1c, 0x35, 0x28, 0xa4, 0x1d, 0x7d, 0x02, 0x5d, 0x53, 0xb2,
	0xf9, 0xa1, 0x61, 0xa0, 0xef, 0x71, 0xd7, 0x47, 0xaa, 0x40, 0x43, 0xa0, 0x2f, 0xd7, 0x41, 0x8f,
	0x68, 0x64, 0xf0, 0xdb, 0xd8, 0x57, 0xfa, 0x0c, 0xfe, 0x15, 0x08, 0x1b, 0x89, 0x7e, 0x40, 0x9b,
	0x40, 0x76, 0x7b, 0x28, 0xd9, 0x7d, 0x55, 0x61, 0xef, 0x67, 0x5c, 0x85, 0xfa, 0x25, 0x74, 0x4c,
	0xc9, 0x16, 0x96, 0x1b, 0x2e, 0x1d, 0x86, 0xfe, 0x29, 0x94, 0x71, 0xb4, 0x26, 0x43, 0x29, 0xb5,
	0xf5, 0xe7, 0x60, 0xeb, 0x1a, 0xfa, 0x4f, 0xc2, 0x61, 0xf8, 0x28, 0xd9, 0x0a, 0xc5, 0x3d, 0xda,
	0x9c, 0x79, 0xdc, 0x77, 0x02, 0x87, 0xbb, 0xc9, 0x3a, 0x05, 0x1a, 0x6e, 0x34, 0x4d, 0x5e, 0x14,
	0x57, 0xfa, 0x0d, 0x68, 0xd5, 0xd4, 0x9a, 0x6b, 0x4c, 0xa0, 0x3b, 0xe7, 0xcc, 0x93, 0x01, 0xde,
	0x6e, 0x51, 0x58, 0xef, 0x58, 0xb7, 0x6c, 0x0a, 0x4a, 0x91, 0x50, 0xb3, 0x62, 0x04, 0xf4, 0xc1,
	0x71, 0xdf, 0x16, 0xd6, 0xce, 0x61, 0x92, 0x19, 0xb8, 0x41, 0x79, 0x44, 0xff, 0x02, 0x3a, 0x39,
	0x74, 0x8d, 0xf8, 0x10, 0xda, 0xe6, 0x46, 0x5a, 0x02, 0x0d, 0xce, 0x83, 0x3a, 0xef, 0x23, 0xa0,
	0x59, 0x70, 0xa9, 0x34, 0x49, 0xa4, 0x67, 0x1f, 0xbf, 0xa0, 0x9d, 0xc6, 0xc4, 0x44, 0xb1, 0x75,
	0x6c, 0xa4, 0x26, 0x80, 0x29, 0x59, 0x7c, 0x6a, 0x9f, 0x6a, 0xe3, 0x4c, 0x38, 0xcb, 0x62, 0xa5,
	0x9e, 0x1f, 0x41, 0xc4, 0x06, 0xf4, 0x1f, 0x74, 0x01, 0x90, 0x1a, 0xa3, 0xff, 0x73, 0x94, 0xe2,
	0xeb, 0xd4, 0xb3, 0xaa, 0xf1, 0x41, 0xee, 0x19, 0x9a, 0xd9, 0xec, 0xd1, 0x7e, 0xc1, 0x43, 0x31,
	0xc8, 0xaa, 0x56, 0x0d, 0x48, 0x44, 0xa7, 0x84, 0x86, 0xd0, 0xab, 0xca, 0x19, 0x1d, 0x66, 0x15,
	0x6a, 0x82, 0xac, 0x8e, 0x4e, 0x03, 0x67, 0x56, 0xbf, 0x42, 0x2b, 0x9f, 0x3a, 0x9a, 0xbb, 0x6b,
	0x69, 0x84, 0x55, 0xfd, 0x18, 0x24, 0x11, 0x1f, 0x10, 0xba, 0x84, 0xbf, 0x99, 0xc8, 0xd1, 0xdc,
	0x7d, 0xbf, 0x27, 0x57, 0xed, 0x57, 0xce, 0x53, 0xcd, 0x29, 0xb9, 0x6b, 0xbd, 0x34, 0x53, 0x9c,
	0xb7, 0x5a, 0x35, 0xa2, 0xbf, 0xeb, 0xea, 0x33, 0x00, 0x00, 0xff, 0xff, 0x8c, 0x58, 0xdf, 0xbd,
	0xd5, 0x04, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// CalculatorServiceClient is the client API for CalculatorService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type CalculatorServiceClient interface {
	// Unary with deadline
	SumNumbers(ctx context.Context, in *SumCalculatorRequest, opts ...grpc.CallOption) (*SumCalculatorResponse, error)
	//Error handling
	//This RPC will throw an exception if the sent number is negative
	//the error being sent is of type INVALID_ARGUMENT
	SquareRoot(ctx context.Context, in *SquareRootRequest, opts ...grpc.CallOption) (*SquareRootResponse, error)
	// Streaming server
	SumManyTimes(ctx context.Context, in *SumManyTimesRequest, opts ...grpc.CallOption) (CalculatorService_SumManyTimesClient, error)
	PrimeNumberDecomposition(ctx context.Context, in *PrimeNumberDecompositionRequest, opts ...grpc.CallOption) (CalculatorService_PrimeNumberDecompositionClient, error)
	// Client stream
	ComputeAverage(ctx context.Context, opts ...grpc.CallOption) (CalculatorService_ComputeAverageClient, error)
	// Bi-Directional Streaming
	FindMaximum(ctx context.Context, opts ...grpc.CallOption) (CalculatorService_FindMaximumClient, error)
}

type calculatorServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewCalculatorServiceClient(cc grpc.ClientConnInterface) CalculatorServiceClient {
	return &calculatorServiceClient{cc}
}

func (c *calculatorServiceClient) SumNumbers(ctx context.Context, in *SumCalculatorRequest, opts ...grpc.CallOption) (*SumCalculatorResponse, error) {
	out := new(SumCalculatorResponse)
	err := c.cc.Invoke(ctx, "/calculator.CalculatorService/SumNumbers", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *calculatorServiceClient) SquareRoot(ctx context.Context, in *SquareRootRequest, opts ...grpc.CallOption) (*SquareRootResponse, error) {
	out := new(SquareRootResponse)
	err := c.cc.Invoke(ctx, "/calculator.CalculatorService/SquareRoot", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *calculatorServiceClient) SumManyTimes(ctx context.Context, in *SumManyTimesRequest, opts ...grpc.CallOption) (CalculatorService_SumManyTimesClient, error) {
	stream, err := c.cc.NewStream(ctx, &_CalculatorService_serviceDesc.Streams[0], "/calculator.CalculatorService/SumManyTimes", opts...)
	if err != nil {
		return nil, err
	}
	x := &calculatorServiceSumManyTimesClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type CalculatorService_SumManyTimesClient interface {
	Recv() (*SumManyTimesResponse, error)
	grpc.ClientStream
}

type calculatorServiceSumManyTimesClient struct {
	grpc.ClientStream
}

func (x *calculatorServiceSumManyTimesClient) Recv() (*SumManyTimesResponse, error) {
	m := new(SumManyTimesResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *calculatorServiceClient) PrimeNumberDecomposition(ctx context.Context, in *PrimeNumberDecompositionRequest, opts ...grpc.CallOption) (CalculatorService_PrimeNumberDecompositionClient, error) {
	stream, err := c.cc.NewStream(ctx, &_CalculatorService_serviceDesc.Streams[1], "/calculator.CalculatorService/PrimeNumberDecomposition", opts...)
	if err != nil {
		return nil, err
	}
	x := &calculatorServicePrimeNumberDecompositionClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type CalculatorService_PrimeNumberDecompositionClient interface {
	Recv() (*PrimeNumberDecompositionResponse, error)
	grpc.ClientStream
}

type calculatorServicePrimeNumberDecompositionClient struct {
	grpc.ClientStream
}

func (x *calculatorServicePrimeNumberDecompositionClient) Recv() (*PrimeNumberDecompositionResponse, error) {
	m := new(PrimeNumberDecompositionResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *calculatorServiceClient) ComputeAverage(ctx context.Context, opts ...grpc.CallOption) (CalculatorService_ComputeAverageClient, error) {
	stream, err := c.cc.NewStream(ctx, &_CalculatorService_serviceDesc.Streams[2], "/calculator.CalculatorService/ComputeAverage", opts...)
	if err != nil {
		return nil, err
	}
	x := &calculatorServiceComputeAverageClient{stream}
	return x, nil
}

type CalculatorService_ComputeAverageClient interface {
	Send(*ComputeAverageRequest) error
	CloseAndRecv() (*ComputeAverageResponse, error)
	grpc.ClientStream
}

type calculatorServiceComputeAverageClient struct {
	grpc.ClientStream
}

func (x *calculatorServiceComputeAverageClient) Send(m *ComputeAverageRequest) error {
	return x.ClientStream.SendMsg(m)
}

func (x *calculatorServiceComputeAverageClient) CloseAndRecv() (*ComputeAverageResponse, error) {
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	m := new(ComputeAverageResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *calculatorServiceClient) FindMaximum(ctx context.Context, opts ...grpc.CallOption) (CalculatorService_FindMaximumClient, error) {
	stream, err := c.cc.NewStream(ctx, &_CalculatorService_serviceDesc.Streams[3], "/calculator.CalculatorService/FindMaximum", opts...)
	if err != nil {
		return nil, err
	}
	x := &calculatorServiceFindMaximumClient{stream}
	return x, nil
}

type CalculatorService_FindMaximumClient interface {
	Send(*FindMaximumReqeust) error
	Recv() (*FindMaximumResponse, error)
	grpc.ClientStream
}

type calculatorServiceFindMaximumClient struct {
	grpc.ClientStream
}

func (x *calculatorServiceFindMaximumClient) Send(m *FindMaximumReqeust) error {
	return x.ClientStream.SendMsg(m)
}

func (x *calculatorServiceFindMaximumClient) Recv() (*FindMaximumResponse, error) {
	m := new(FindMaximumResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// CalculatorServiceServer is the server API for CalculatorService service.
type CalculatorServiceServer interface {
	// Unary with deadline
	SumNumbers(context.Context, *SumCalculatorRequest) (*SumCalculatorResponse, error)
	//Error handling
	//This RPC will throw an exception if the sent number is negative
	//the error being sent is of type INVALID_ARGUMENT
	SquareRoot(context.Context, *SquareRootRequest) (*SquareRootResponse, error)
	// Streaming server
	SumManyTimes(*SumManyTimesRequest, CalculatorService_SumManyTimesServer) error
	PrimeNumberDecomposition(*PrimeNumberDecompositionRequest, CalculatorService_PrimeNumberDecompositionServer) error
	// Client stream
	ComputeAverage(CalculatorService_ComputeAverageServer) error
	// Bi-Directional Streaming
	FindMaximum(CalculatorService_FindMaximumServer) error
}

// UnimplementedCalculatorServiceServer can be embedded to have forward compatible implementations.
type UnimplementedCalculatorServiceServer struct {
}

func (*UnimplementedCalculatorServiceServer) SumNumbers(ctx context.Context, req *SumCalculatorRequest) (*SumCalculatorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SumNumbers not implemented")
}
func (*UnimplementedCalculatorServiceServer) SquareRoot(ctx context.Context, req *SquareRootRequest) (*SquareRootResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SquareRoot not implemented")
}
func (*UnimplementedCalculatorServiceServer) SumManyTimes(req *SumManyTimesRequest, srv CalculatorService_SumManyTimesServer) error {
	return status.Errorf(codes.Unimplemented, "method SumManyTimes not implemented")
}
func (*UnimplementedCalculatorServiceServer) PrimeNumberDecomposition(req *PrimeNumberDecompositionRequest, srv CalculatorService_PrimeNumberDecompositionServer) error {
	return status.Errorf(codes.Unimplemented, "method PrimeNumberDecomposition not implemented")
}
func (*UnimplementedCalculatorServiceServer) ComputeAverage(srv CalculatorService_ComputeAverageServer) error {
	return status.Errorf(codes.Unimplemented, "method ComputeAverage not implemented")
}
func (*UnimplementedCalculatorServiceServer) FindMaximum(srv CalculatorService_FindMaximumServer) error {
	return status.Errorf(codes.Unimplemented, "method FindMaximum not implemented")
}

func RegisterCalculatorServiceServer(s *grpc.Server, srv CalculatorServiceServer) {
	s.RegisterService(&_CalculatorService_serviceDesc, srv)
}

func _CalculatorService_SumNumbers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SumCalculatorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CalculatorServiceServer).SumNumbers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/calculator.CalculatorService/SumNumbers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CalculatorServiceServer).SumNumbers(ctx, req.(*SumCalculatorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CalculatorService_SquareRoot_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SquareRootRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CalculatorServiceServer).SquareRoot(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/calculator.CalculatorService/SquareRoot",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CalculatorServiceServer).SquareRoot(ctx, req.(*SquareRootRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CalculatorService_SumManyTimes_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(SumManyTimesRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(CalculatorServiceServer).SumManyTimes(m, &calculatorServiceSumManyTimesServer{stream})
}

type CalculatorService_SumManyTimesServer interface {
	Send(*SumManyTimesResponse) error
	grpc.ServerStream
}

type calculatorServiceSumManyTimesServer struct {
	grpc.ServerStream
}

func (x *calculatorServiceSumManyTimesServer) Send(m *SumManyTimesResponse) error {
	return x.ServerStream.SendMsg(m)
}

func _CalculatorService_PrimeNumberDecomposition_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(PrimeNumberDecompositionRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(CalculatorServiceServer).PrimeNumberDecomposition(m, &calculatorServicePrimeNumberDecompositionServer{stream})
}

type CalculatorService_PrimeNumberDecompositionServer interface {
	Send(*PrimeNumberDecompositionResponse) error
	grpc.ServerStream
}

type calculatorServicePrimeNumberDecompositionServer struct {
	grpc.ServerStream
}

func (x *calculatorServicePrimeNumberDecompositionServer) Send(m *PrimeNumberDecompositionResponse) error {
	return x.ServerStream.SendMsg(m)
}

func _CalculatorService_ComputeAverage_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(CalculatorServiceServer).ComputeAverage(&calculatorServiceComputeAverageServer{stream})
}

type CalculatorService_ComputeAverageServer interface {
	SendAndClose(*ComputeAverageResponse) error
	Recv() (*ComputeAverageRequest, error)
	grpc.ServerStream
}

type calculatorServiceComputeAverageServer struct {
	grpc.ServerStream
}

func (x *calculatorServiceComputeAverageServer) SendAndClose(m *ComputeAverageResponse) error {
	return x.ServerStream.SendMsg(m)
}

func (x *calculatorServiceComputeAverageServer) Recv() (*ComputeAverageRequest, error) {
	m := new(ComputeAverageRequest)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func _CalculatorService_FindMaximum_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(CalculatorServiceServer).FindMaximum(&calculatorServiceFindMaximumServer{stream})
}

type CalculatorService_FindMaximumServer interface {
	Send(*FindMaximumResponse) error
	Recv() (*FindMaximumReqeust, error)
	grpc.ServerStream
}

type calculatorServiceFindMaximumServer struct {
	grpc.ServerStream
}

func (x *calculatorServiceFindMaximumServer) Send(m *FindMaximumResponse) error {
	return x.ServerStream.SendMsg(m)
}

func (x *calculatorServiceFindMaximumServer) Recv() (*FindMaximumReqeust, error) {
	m := new(FindMaximumReqeust)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

var _CalculatorService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "calculator.CalculatorService",
	HandlerType: (*CalculatorServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SumNumbers",
			Handler:    _CalculatorService_SumNumbers_Handler,
		},
		{
			MethodName: "SquareRoot",
			Handler:    _CalculatorService_SquareRoot_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "SumManyTimes",
			Handler:       _CalculatorService_SumManyTimes_Handler,
			ServerStreams: true,
		},
		{
			StreamName:    "PrimeNumberDecomposition",
			Handler:       _CalculatorService_PrimeNumberDecomposition_Handler,
			ServerStreams: true,
		},
		{
			StreamName:    "ComputeAverage",
			Handler:       _CalculatorService_ComputeAverage_Handler,
			ClientStreams: true,
		},
		{
			StreamName:    "FindMaximum",
			Handler:       _CalculatorService_FindMaximum_Handler,
			ServerStreams: true,
			ClientStreams: true,
		},
	},
	Metadata: "proto/calculator.proto",
}
